Skip to main content
`Ctrl`+`K`

# TSPseudoSetVerifyTimeStep

Sets a user-defined routine to verify the quality of the last timestep.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPseudoSetVerifyTimeStep(TS ts, PetscErrorCode (*dt)(TS ts, Vec update, PetscCtx ctx, PetscReal *newdt, PetscBool *flag), PetscCtx ctx)

Logically Collective

## Input Parameters

- ts - timestep context

- dt - user-defined function to verify timestep

- ctx - [optional] user-defined context for private data for the timestep verification routine (may be `NULL`)

## Calling sequence of `func`

- ts - the time-step context

- update - latest solution vector

- ctx - [optional] user-defined timestep context

- newdt - the timestep to use for the next step

- flag - flag indicating whether the last time step was acceptable

## Note

The routine set here will be called by `TSPseudoVerifyTimeStep()` during the timestepping process.

## See Also

TS: Scalable ODE and DAE Solvers, `TSPSEUDO`, `TSPseudoVerifyTimeStepDefault()`, `TSPseudoVerifyTimeStep()`

## Level

advanced

## Location

src/ts/impls/pseudo/posindep.c

## Implementations

TSPseudoSetVerifyTimeStep_Pseudo() in src/ts/impls/pseudo/posindep.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages